/*
Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.html or http://ckeditor.com/license
*/

/**
* @file Code plugin.
*/

(function() {
var pluginName = 'phpcode';


CKEDITOR.plugins.add( pluginName,
   {
   
	init : function( editor )
	{
		editor.addCommand( pluginName,new CKEDITOR.dialogCommand( 'phpcode' ));
      
		editor.ui.addButton( 'PhpCode',
			{
			label : 'Add PHPcode',
			command : pluginName,
			icon : this.path + 'php.png'
			}
		);
      

		editor.addCss(
			'img.cke_phpcode' +
			'{' +
				'background-image: url(' + CKEDITOR.getUrl( this.path + 'php.png' ) + ');' +
				'background-position: center center;' +
				'background-repeat: no-repeat;' +
				'border: 0px;' +
				'width: 13px;' +
				'height: 13px;' +
			'}'
			);

	}, 


	afterInit : function( editor )
		{
		var dataProcessor = editor.dataProcessor,
			dataFilter = dataProcessor && dataProcessor.dataFilter;

		if ( dataFilter )
		{
			dataFilter.addRules(
				{
					elements :
					{
						'php' : function( element )
						{

							return editor.createFakeParserElement( element, 'cke_phpcode', 'php', false );
						}

					}
				});
		}
	},

	requires : [ 'fakeobjects' ]

});

})();